org.jboss.netty.handler.codec.http

## Class HttpHeaders.Values

- java.lang.Object
- - org.jboss.netty.handler.codec.http.HttpHeaders.Values

- Enclosing class:
    HttpHeaders

      public static final class HttpHeaders.Values
      extends Object

  Standard HTTP header values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_X_WWW_FORM_URLENCODED` `"application/x-www-form-urlencoded"`
    `static String` | `BASE64` `"base64"`
    `static String` | `BINARY` `"binary"`
    `static String` | `BOUNDARY` `"boundary"`
    `static String` | `BYTES` `"bytes"`
    `static String` | `CHARSET` `"charset"`
    `static String` | `CHUNKED` `"chunked"`
    `static String` | `CLOSE` `"close"`
    `static String` | `COMPRESS` `"compress"`
    `static String` | `CONTINUE` `"100-continue"`
    `static String` | `DEFLATE` `"deflate"`
    `static String` | `GZIP` `"gzip"`
    `static String` | `IDENTITY` `"identity"`
    `static String` | `KEEP_ALIVE` `"keep-alive"`
    `static String` | `MAX_AGE` `"max-age"`
    `static String` | `MAX_STALE` `"max-stale"`
    `static String` | `MIN_FRESH` `"min-fresh"`
    `static String` | `MULTIPART_FORM_DATA` `"multipart/form-data"`
    `static String` | `MUST_REVALIDATE` `"must-revalidate"`
    `static String` | `NO_CACHE` `"no-cache"`
    `static String` | `NO_STORE` `"no-store"`
    `static String` | `NO_TRANSFORM` `"no-transform"`
    `static String` | `NONE` `"none"`
    `static String` | `ONLY_IF_CACHED` `"only-if-cached"`
    `static String` | `PRIVATE` `"private"`
    `static String` | `PROXY_REVALIDATE` `"proxy-revalidate"`
    `static String` | `PUBLIC` `"public"`
    `static String` | `QUOTED_PRINTABLE` `"quoted-printable"`
    `static String` | `S_MAXAGE` `"s-maxage"`
    `static String` | `TRAILERS` `"trailers"`
    `static String` | `UPGRADE` `"Upgrade"`
    `static String` | `WEBSOCKET` `"WebSocket"`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_X_WWW_FORM_URLENCODED

          public static final String APPLICATION_X_WWW_FORM_URLENCODED

      `"application/x-www-form-urlencoded"`
      See Also:
        Constant Field Values

    - #### BASE64

          public static final String BASE64

      `"base64"`
      See Also:
        Constant Field Values

    - #### BINARY

          public static final String BINARY

      `"binary"`
      See Also:
        Constant Field Values

    - #### BOUNDARY

          public static final String BOUNDARY

      `"boundary"`
      See Also:
        Constant Field Values

    - #### BYTES

          public static final String BYTES

      `"bytes"`
      See Also:
        Constant Field Values

    - #### CHARSET

          public static final String CHARSET

      `"charset"`
      See Also:
        Constant Field Values

    - #### CHUNKED

          public static final String CHUNKED

      `"chunked"`
      See Also:
        Constant Field Values

    - #### CLOSE

          public static final String CLOSE

      `"close"`
      See Also:
        Constant Field Values

    - #### COMPRESS

          public static final String COMPRESS

      `"compress"`
      See Also:
        Constant Field Values

    - #### CONTINUE

          public static final String CONTINUE

      `"100-continue"`
      See Also:
        Constant Field Values

    - #### DEFLATE

          public static final String DEFLATE

      `"deflate"`
      See Also:
        Constant Field Values

    - #### GZIP

          public static final String GZIP

      `"gzip"`
      See Also:
        Constant Field Values

    - #### IDENTITY

          public static final String IDENTITY

      `"identity"`
      See Also:
        Constant Field Values

    - #### KEEP_ALIVE

          public static final String KEEP_ALIVE

      `"keep-alive"`
      See Also:
        Constant Field Values

    - #### MAX_AGE

          public static final String MAX_AGE

      `"max-age"`
      See Also:
        Constant Field Values

    - #### MAX_STALE

          public static final String MAX_STALE

      `"max-stale"`
      See Also:
        Constant Field Values

    - #### MIN_FRESH

          public static final String MIN_FRESH

      `"min-fresh"`
      See Also:
        Constant Field Values

    - #### MULTIPART_FORM_DATA

          public static final String MULTIPART_FORM_DATA

      `"multipart/form-data"`
      See Also:
        Constant Field Values

    - #### MUST_REVALIDATE

          public static final String MUST_REVALIDATE

      `"must-revalidate"`
      See Also:
        Constant Field Values

    - #### NO_CACHE

          public static final String NO_CACHE

      `"no-cache"`
      See Also:
        Constant Field Values

    - #### NO_STORE

          public static final String NO_STORE

      `"no-store"`
      See Also:
        Constant Field Values

    - #### NO_TRANSFORM

          public static final String NO_TRANSFORM

      `"no-transform"`
      See Also:
        Constant Field Values

    - #### NONE

          public static final String NONE

      `"none"`
      See Also:
        Constant Field Values

    - #### ONLY_IF_CACHED

          public static final String ONLY_IF_CACHED

      `"only-if-cached"`
      See Also:
        Constant Field Values

    - #### PRIVATE

          public static final String PRIVATE

      `"private"`
      See Also:
        Constant Field Values

    - #### PROXY_REVALIDATE

          public static final String PROXY_REVALIDATE

      `"proxy-revalidate"`
      See Also:
        Constant Field Values

    - #### PUBLIC

          public static final String PUBLIC

      `"public"`
      See Also:
        Constant Field Values

    - #### QUOTED_PRINTABLE

          public static final String QUOTED_PRINTABLE

      `"quoted-printable"`
      See Also:
        Constant Field Values

    - #### S_MAXAGE

          public static final String S_MAXAGE

      `"s-maxage"`
      See Also:
        Constant Field Values

    - #### TRAILERS

          public static final String TRAILERS

      `"trailers"`
      See Also:
        Constant Field Values

    - #### UPGRADE

          public static final String UPGRADE

      `"Upgrade"`
      See Also:
        Constant Field Values

    - #### WEBSOCKET

          public static final String WEBSOCKET

      `"WebSocket"`
      See Also:
        Constant Field Values

Copyright © 2008-2012 The Netty Project. All Rights Reserved.